Package org.eclipse.net4j.util.om.trace

## Class TraceHandlerEvent

- java.lang.Object
- - org.eclipse.net4j.util.om.trace.TraceHandlerEvent

- All Implemented Interfaces:
    `java.io.Serializable`, `OMTraceHandlerEvent`

      public class TraceHandlerEvent
      extends java.lang.Object
      implements OMTraceHandlerEvent, java.io.Serializable

  The default implementation of a `trace event`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.Class<?>` | `context` |
    `protected java.lang.String` | `message` |
    `protected java.lang.Throwable` | `throwable` |
    `protected long` | `timeStamp` |
    `protected OMTracer` | `tracer` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TraceHandlerEvent​(OMTracer tracer, java.lang.Class<?> context, java.lang.String message, java.lang.Throwable throwable)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<?>` | `getContext()` |
    `java.lang.String` | `getMessage()` |
    `java.lang.Throwable` | `getThrowable()` |
    `long` | `getTimeStamp()` |
    `OMTracer` | `getTracer()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### timeStamp

          protected long timeStamp

    - #### tracer

          protected OMTracer tracer

    - #### context

          protected java.lang.Class<?> context

    - #### message

          protected java.lang.String message

    - #### throwable

          protected java.lang.Throwable throwable

  - ### Constructor Detail

    - #### TraceHandlerEvent

          public TraceHandlerEvent​(OMTracer tracer,
                                   java.lang.Class<?> context,
                                   java.lang.String message,
                                   java.lang.Throwable throwable)

  - ### Method Detail

    - #### getTimeStamp

          public long getTimeStamp()

      Specified by:
        `getTimeStamp` in interface `OMTraceHandlerEvent`

    - #### getTracer

          public OMTracer getTracer()

      Specified by:
        `getTracer` in interface `OMTraceHandlerEvent`

    - #### getContext

          public java.lang.Class<?> getContext()

      Specified by:
        `getContext` in interface `OMTraceHandlerEvent`

    - #### getMessage

          public java.lang.String getMessage()

      Specified by:
        `getMessage` in interface `OMTraceHandlerEvent`

    - #### getThrowable

          public java.lang.Throwable getThrowable()

      Specified by:
        `getThrowable` in interface `OMTraceHandlerEvent`